Skip to main content
GET
Get a Deployment Order

Authorizations

Authorization
string
header
required

Enter token in following format: Bearer

Path Parameters

orderId
string
required

Response

The deployment order corresponding to the primary identifier.

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
orderNumber
number | null
required
entityId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
entityType
enum<string>
required
Available options:
lead,
client,
user,
processor,
document,
ticket,
transactions,
batch,
statement
billTo
enum<string>
required
Available options:
merchant,
partner,
signapay
status
enum<string>
required
Available options:
in_queue,
in_progress,
on_hold,
completed,
canceled
holdReason
string | null
required
specialInstructions
string | null
required
assignedTo
string<uuid> | null
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
createdAt
string
required
createdBy
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
updatedAt
string
required
updatedBy
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
lineItemCount
integer | null
Required range: -9007199254740991 <= x <= 9007199254740991
itemModels
string[] | null
hidePlacement
boolean